class AddAdminUser < ActiveRecord::Migration
  def self.up
    if User.find_by_login("admin").nil?
      admin = User.new({:first_name => "Admin",
                        :last_name => "User",
                        :locale => "en",
                        :login => "admin",
                        :email => "admin@noreply.com",
                        :password => "admin",
                        :password_confirmation => "admin",
                        :role => "admin"})
      admin.save!
    end
  end

  def self.down
    admin = User.find_by_login("admin")
    admin.destroy if admin
  end
end
