class Asset < ActiveRecord::Base
  belongs_to :attachable, :polymorphic => true
  has_attached_file :asset,
                    :styles => {:thumb => "100x100#",
                                :large => "600x600>"},
                    :path => ":rails_root/files/:class/:id/:style/:basename.:extension",
                    :url => "/files/:id?style=:style"
end
